<?php
/*
 * WRC Pricing Tables 2.3.2
 * @realwebcare - https://www.realwebcare.com/
 * Plugin info in sidebar
 */
function wrcpt_sidebar() { ?>
	<div class="postbox-container" style="width:25%">
		<div id="sidebar">
			<div id="wrcusage-features" class="wrcusage-sidebar">
				<h3>Premium Features</h3>
				<div class="ccwrpt">The premium version has been developed to present Pricing Tables more proficiently. Some notable features are:</div>
				<ul class="wrcusage-list">
					<li>25 to 50+ templates to create table instantly.</li>
					<li>Import/Export (Backup) pricing tables.</li>
					<li>Make a copy of a table instantly.</li>
					<li>PayPal button integration.</li>
					<li>Image and video support.</li>
					<li>Pricing toggle support.</li>
				</ul>
				<a href="https://www.realwebcare.com/item/clean-css3-wordpress-responsive-pricing-table/" target="_blank">View Premium</a>
			</div>
			<div id="wrcusage-info" class="wrcusage-sidebar">
				<h3>Featured Plugins</h3>
				<ul class="wrcusage-list">
					<li><a href="https://wordpress.org/plugins/t4b-news-ticker/" target="_blank">T4B News Ticker</a></li>
					<li><a href="https://wordpress.org/plugins/responsive-portfolio-image-gallery/" target="_blank">Portfolio Gallery – Photo Gallery and Image Gallery</a></li>
					<li><a href="https://wordpress.org/plugins/awesome-responsive-photo-gallery/" target="_blank">Image Gallery - Responsive Photo Gallery</a></li>
					<li><a href="https://wordpress.org/plugins/muslim-prayer-time-bd/" target="_blank">Muslim Prayer Time BD</a></li><hr>
					<li>Developed by: <a href="https://www.realwebcare.com" target="_blank">Realwebcare</a></li>
					<li>Need Help? <a href="https://wordpress.org/support/plugin/wrc-pricing-tables/" target="_blank">Support</a></li>
                    <li>Benefited by WRC Pricing Tables? Please leave us a <a target="_blank" href="https://wordpress.org/support/plugin/wrc-pricing-tables/reviews/?filter=5/#new-post">&#9733;&#9733;&#9733;&#9733;&#9733;</a> rating. We highly appreciate your support!</li>
					<li>Published under:<br>
					<a href="http://www.gnu.org/licenses/gpl.txt" target="_blank">GNU General Public License</a>
                    </li>
				</ul>
			</div>
		</div>
	</div>
<?php }
 function wrcpt_sidebar_guide() { ?>
	<div class="postbox-container" style="width:25%">
		<div id="sidebar" style="top:70px">
			<div id="wrcusage-features" class="wrcusage-sidebar">
				<h3>Premium Features</h3>
				<div class="ccwrpt">The premium version has been developed to present Pricing Tables more proficiently. Some notable features are:</div>
				<ul class="wrcusage-list">
					<li>25 to 50+ templates to create table instantly.</li>
					<li>Import/Export (Backup) pricing tables.</li>
					<li>Make a copy of a table instantly.</li>
					<li>Hide empty features.</li>
					<li>Hide any parts of the pricing table.</li>
					<li>Set price section at the bottom.</li>
					<li>PayPal button integration.</li>
					<li>Image and video support.</li>
					<li>Pricing toggle support.</li>
				</ul>
				<a href="https://www.realwebcare.com/item/clean-css3-wordpress-responsive-pricing-table/" target="_blank">View Premium</a>
			</div>
			<div id="wrcusage-info" class="wrcusage-sidebar">
				<h3>Featured Plugins</h3>
				<ul class="wrcusage-list">
					<li><a href="https://wordpress.org/plugins/t4b-news-ticker/" target="_blank">T4B News Ticker</a></li>
					<li><a href="https://wordpress.org/plugins/responsive-portfolio-image-gallery/" target="_blank">Portfolio Gallery – Photo Gallery and Image Gallery</a></li>
					<li><a href="https://wordpress.org/plugins/awesome-responsive-photo-gallery/" target="_blank">Image Gallery - Responsive Photo Gallery</a></li>
					<li><a href="https://wordpress.org/plugins/muslim-prayer-time-bd/" target="_blank">Muslim Prayer Time BD</a></li>
				</ul>
			</div>
			<div id="wrcusage-info" class="wrcusage-sidebar">
				<h3>Plugin Info</h3>
				<ul class="wrcusage-list">
					<li>Version: <a href="https://wordpress.org/plugins/wrc-pricing-tables/changelog/" target="_blank">2.3.2</a></li>
					<li>Requires: Wordpress 4.2+</li>
					<li>First release: 6 May, 2015</li>
					<li>Last Update: 20 Jan, 2023</li>
					<li>Developed by: <a href="https://www.realwebcare.com" target="_blank">Realwebcare</a></li>
					<li>Need Help? <a href="https://wordpress.org/support/plugin/wrc-pricing-tables/" target="_blank">Support</a></li>
                    <li>Benefited by WRC Pricing Tables? Please leave us a <a target="_blank" href="https://wordpress.org/support/plugin/wrc-pricing-tables/reviews/?filter=5/#new-post">&#9733;&#9733;&#9733;&#9733;&#9733;</a> rating. We highly appreciate your support!</li>
					<li>Published under:<br>
					<a href="http://www.gnu.org/licenses/gpl.txt" target="_blank">GNU General Public License</a>
                    </li>
				</ul>
			</div>
		</div>
	</div>
<?php } ?>